Invite Channel Viewers
Invite one or more viewers to a members-only channel.
Path Parameters
- Type: stringvideo
_workspace _id requiredGumlet workspace ID. You can get it on Gumlet dashboard or retrieve it using list workspace API.
Body
required
application/json
- Type: array object[] 1…200usersrequired
List of viewers to invite. A maximum of 200 viewers can be invited in one request.
Responses
- application/json
- application/json
Request Example for post/channel/{video_workspace_id}/viewers/invite
import Gumlet from '@gumlet/nodejs-sdk';
const client = new Gumlet({
apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});
const channelViewer = await client.channelViewers.invite('videoWorkspaceId', {
users: [
{ email: 'test@gumlet.com', name: 'Test User-0' },
{ email: 'test+1@gumlet.com', name: 'Test User-1' },
{ email: 'test+2@gumlet.com', name: 'Test User-2' },
],
});
console.log(channelViewer);
{
"success": true
}
